Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QSizePolicy.PolicyFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QSizePolicy.PolicyFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSizePolicy

    public static final class QSizePolicy.PolicyFlag

extends java.lang.Enum
implements QtEnumerator

These flags are combined together to form the various `Policy` values:

See also:
  `Policy` .

See Also:
  Serialized Form

Field Summary
`static QSizePolicy.PolicyFlag` | `ExpandFlag` The widget should get as much space as possible.
`static QSizePolicy.PolicyFlag` | `GrowFlag` The widget can grow beyond its size hint if necessary.
`static QSizePolicy.PolicyFlag` | `IgnoreFlag` The widget's size hint is ignored.
`static QSizePolicy.PolicyFlag` | `ShrinkFlag` The widget can shrink below its size hint if necessary.

Method Summary
`static QSizePolicy.PolicyFlag` | `resolve(int value)` Returns the QSizePolicy$PolicyFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSizePolicy.PolicyFlag` | `valueOf(java.lang.String name)`
`static QSizePolicy.PolicyFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GrowFlag

    public static final QSizePolicy.PolicyFlag GrowFlag

  The widget can grow beyond its size hint if necessary.

### ExpandFlag

    public static final QSizePolicy.PolicyFlag ExpandFlag

  The widget should get as much space as possible.

### ShrinkFlag

    public static final QSizePolicy.PolicyFlag ShrinkFlag

  The widget can shrink below its size hint if necessary.

### IgnoreFlag

    public static final QSizePolicy.PolicyFlag IgnoreFlag

  The widget's size hint is ignored. The widget will get as much space as possible.

Method Detail

### values

    public static QSizePolicy.PolicyFlag[] values()

### valueOf

    public static QSizePolicy.PolicyFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSizePolicy.PolicyFlag resolve(int value)

  Returns the QSizePolicy$PolicyFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD